# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: "http://devicetree.org/schemas/input/touchscreen/elan,elants_i2c.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: Elantech I2C Touchscreen

maintainers:
  - David Heidelberg <david@ixit.cz>

allOf:
  - $ref: touchscreen.yaml#

properties:
  compatible:
    enum:
      - elan,ektf3624
      - elan,ekth3500

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  wakeup-source:
    type: boolean
    description: touchscreen can be used as a wakeup source.

  reset-gpios:
    description: reset gpio the chip is connected to.

  vcc33-supply:
    description: a phandle for the regulator supplying 3.3V power.

  vccio-supply:
    description: a phandle for the regulator supplying IO power.

  touchscreen-inverted-x: true
  touchscreen-inverted-y: true
  touchscreen-size-x: true
  touchscreen-size-y: true
  touchscreen-swapped-x-y: true

additionalProperties: false

required:
  - compatible
  - reg
  - interrupts

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        touchscreen@10 {
            compatible = "elan,ekth3500";
            reg = <0x10>;

            interrupt-parent = <&gpio4>;
            interrupts = <0x0 IRQ_TYPE_EDGE_FALLING>;
            wakeup-source;
        };
    };
